/*
Copyright (c) 2024 Dusk
All rights reserved.

This code is proprietary to Dusk AI Inc.
The code may be used solely for accessing the Service provided by Dusk AI Inc. following the Dusk Terms of Service ("Terms") accessible at dusk.gg/eula. You may not use this code for any use or purpose other than as expressly permitted by the Terms.
Restrictions set forth in the Terms include, but is not limited to, that you may not copy, adapt, modify, prepare derivative works based upon, distribute, license, sell, transfer, publicly display, publicly perform, transmit, stream, broadcast, attempt to discover any source code, reverse engineer, decompile, dissemble, or otherwise exploit the code as a whole or any portion of the code.
*/
"use strict";var e=require("compatto"),t=require("rune-msgpack"),r=require("base-64");function o(e){var t=Object.create(null);return e&&Object.keys(e).forEach((function(r){if("default"!==r){var o=Object.getOwnPropertyDescriptor(e,r);Object.defineProperty(t,r,o.get?o:{enumerable:!0,get:function(){return e[r]}})}})),t.default=e,Object.freeze(t)}var n,i=o(t),s=o(r);function c(e,t){var r="function"==typeof Symbol&&e[Symbol.iterator];if(!r)return e;var o,n,i=r.call(e),s=[];try{for(;(void 0===t||t-- >0)&&!(o=i.next()).done;)s.push(o.value)}catch(e){n={error:e}}finally{try{o&&!o.done&&(r=i.return)&&r.call(i)}finally{if(n)throw n.error}}return s}!function(e){e.GameToServer="G",e.ServerToGame="S"}(n||(n={}));var a=function(e){for(var t=[],r=0,o=e.length;r<o;r++)t.push(String.fromCharCode(e[r]));return t.join("")},d=function(e){return s.encode(e)},u=function(e){return e.charCodeAt(0)},p=function(e){return Uint8Array.from(e,u)},f=function(e){return s.decode(e)};function m(e){var t=c(e.split(";"),2),r=t[0],o=t[1];if(r&&o){var i=c(r.split(","),4),s=i[0],a=i[1],d=i[2],u=i[3];if(!s||!a||!u)throw new Error("Missing fields: "+s+","+a+","+u+" - "+r+" - "+e);var p=Number.parseInt(s),f=Number.parseInt(a);if(Number.isNaN(p))throw new Error("Invalid version number provided in game message: ".concat(p));if(Number.isNaN(f))throw new Error("Invalid game ID provided in game message: ".concat(f));if(!Object.values(n).includes(u))throw new Error("Invalid message type provided in game message: ".concat(u));return{version:p,gameId:f,sessionId:0===d.length?void 0:d,type:u}}}var v=function(){function t(t,r,o,n,i){this.compatto=e.compatto({dictionary:[]}),this.compatto=e.compatto({dictionary:o}),this.gameId=t,this.expectedSessionId=r,this.logger=n,this.sdkProtocolVersion=i}return t.prototype.encodeServerToGame=function(e,t){return void 0===t&&(t=!1),this.encodeHeader(n.ServerToGame)+";"+this.encodeBody(e,t)},t.prototype.encodeGameToServer=function(e,t){return void 0===t&&(t=!1),this.encodeHeader(n.GameToServer)+";"+this.encodeBody(e,t)},t.prototype.encodeBody=function(e,t){var r=i.encode(e,{maxDepth:25});return this.sdkProtocolVersion>=4&&this.compatto&&t?"_"+d(a(this.compatto.compress(a(r)))):d(a(r))},t.prototype.decodeGameToServer=function(e,t){if("string"==typeof e){var r=m(e);if(r&&r.type===n.GameToServer)return this.decodeBody(r,e,t)}},t.prototype.decodeServerToGame=function(e,t){if("string"==typeof e){var r=m(e);if(r&&r.type===n.ServerToGame)return this.decodeBody(r,e,t)}},t.prototype.extractBody=function(e){var t=c(e.split(";"),2);return t[0],t[1]},t.prototype.decodeBody=function(e,t,r){var o,n=this.extractBody(t),s=n.startsWith("_");if(s){if(e.sessionId!==this.expectedSessionId)return void this.logger.onSessionMismatch(null!==(o=e.sessionId)&&void 0!==o?o:null,this.expectedSessionId,r);n=n.substring(1)}var c=p(f(n));return s&&(c=p(this.compatto.decompress(c))),i.decode(c)},t.prototype.encodeHeader=function(e){var t;return this.sdkProtocolVersion+","+this.gameId+","+(null!==(t=this.expectedSessionId)&&void 0!==t?t:"")+","+e},t}();function l(e){var t=i.encode(e,{maxDepth:25});return"RUNE_MSG_V2;"+d(a(t))}var h=new(function(){function e(){this.lastDecodedValue="",this.lastDecodedMessage=void 0}return e.prototype.isClientMessage=function(e){if(!this.isRuneMsg(e))return!1;var t=this.decode(e);return t.runeGameEvent||t.runeGameCommand},e.prototype.decodeGameToClient=function(e){if(this.isRuneMsg(e))return this.decode(e).runeGameEvent},e.prototype.decodeClientToGame=function(e){if(this.isRuneMsg(e))return this.decode(e).runeGameCommand},e.prototype.decodeGameToServer=function(e){if(this.isRuneMsg(e))return this.decode(e).gameToServer},e.prototype.decodeServerToGame=function(e){if(this.isRuneMsg(e))return this.decode(e).serverToGame},e.prototype.isRuneMsg=function(e){return"string"==typeof e&&e.startsWith("RUNE_MSG_V2;")},e.prototype.decode=function(e){return e===this.lastDecodedValue||(this.lastDecodedValue=e,this.lastDecodedMessage=function(e){var t=p(f(e.slice("RUNE_MSG_V2;".length)));return i.decode(t)}(e)),this.lastDecodedMessage},e.prototype.encodeClientToGame=function(e){return l({runeGameCommand:e})},e.prototype.encodeGameToClient=function(e){return l({runeGameEvent:e})},e.prototype.encodeGameToServer=function(e){return l({gameToServer:e})},e.prototype.encodeServerToGame=function(e){return l({serverToGame:e})},e}()),y=function(){function e(){}return e.prototype.encodeClientToGame=function(e){return JSON.stringify(e)},e.prototype.encodeGameToClient=function(e){return JSON.stringify(e)},e.prototype.decodeClientToGame=function(e){if("string"==typeof e)try{return JSON.parse(e)}catch(e){return}},e.prototype.decodeGameToClient=function(e){if("string"==typeof e)try{return JSON.parse(e)}catch(e){return}},e}();exports.CLIENT_PROTOCOL_VERSION_LATEST=3,exports.CLIENT_PROTOCOL_VERSION_RUNE_MSG=2,exports.CLIENT_PROTOCOL_VERSION_SIMPLE_JSON=3,exports.SDK_PROTOCOL_VERSION_LATEST=4,exports.SDK_PROTOCOL_VERSION_NEW_HEADER=3,exports.SDK_PROTOCOL_VERSION_RUNE_MSG=2,exports.SDK_PROTOCOL_VERSION_WITH_COMPRESSION=4,exports.createClientMessageCodecForVersion=function(e){return e>2?new y:h},exports.createSdkMessageCodecForVersion=function(e){var t=e.sdkProtocolVersion,r=e.gameId,o=e.sessionId,n=e.dictionary,i=e.logger;return t>2?new v(r,o,n,i,t):h};
